#ifndef EVENTSBASE_H
#define EVENTSBASE_H

// #include "Module.h"

#include <boost/shared_ptr.hpp>

#include "mathlib.h"

namespace Engine {

/** \brief Contains all information relevant to the Event */
struct EventBase {
	int mEventType;

	/** \brief This might later be used for de-/serializing of the event data */
	std::string mEventData;
	float mEventFloat;
	int mEventInt;
	unsigned int mEventUnsignedInt;
	vector3d mVector3d;
	
};

typedef boost::shared_ptr<EventBase> EventBasePtr;

}

#endif /* EVENTSBASE_H */
